Subject: X-Windows summary

From: "Douglas E. Stack" <[email-masked]>
Date: Thu, 20 Aug 1998 09:18:00 -0500

Dear CCLers,

I was overwhelmed by the response to my original post which queried about an inexpensive X-windows program for some new PC in our student labs.  The main purpose of the software is to connect to an SGI sever so that students can run Spartan remotely.  There were too many replies for me to just paste the messages at the end of this note, so I will summarize the general theme expressed from this large response.

1.  Exceed by Hummingbird, www.hummingbrid.com:  Clearly the top choice if price is no option.  What interest me is an available add-on the can run OpenGL.  But the price is steep ca. $500, and more if the OpenGL option is purchased.  Too much for student use, but I may get a copy for myself :).
 
2.  PC-Xware by NCD, http://www.ncd.com/ppcx/ppcx.html:  Also got high praise, second only to Exceed.  The price is $395.  They offer a 30-day demo, but I did not get a download for a test drive.

3.  X-WinPro by Labf.com, http://www.ncd.com/ppcx/ppcx.html:  A free demo version is available that runs for 30 min at a time.  Did not download and try.  Full version, ca. $100.

4.  Exodus/Web TermX by Whitepine, www.wpine.com:  I've used Exodus ver 5.6.4 for a couple of years on my Windows PC, it works great.  It appears they've changed there product line with Exodus available for the Mac and Web TermX for the Windows platform.  Our university has license agreement for Exdous (old version for both platforms) that cost ca. $120 per machine.  This was the software is was going to buy because I've used it, it's simple, and has a lot of nice features.  Read below how I've found a cheaper option.

5.  X-Win32 by Startnet, www.starnet.com:  This program does not have as many features as Exodus, but it does the essentials very well.  This includes, logging on to remote severs or broadcasting through a local network for log-ons.  A large selection of fonts, including some special add-on fonts; one of these was specific for SGI and worked great.  Price:  a fully functional free demo that runs for 2 hours before having to be re-started.  I downloaded this demo version and try it for 2 hrs.  Everything worked fine, and a warning message appeared 15 min before the two hour deadline.  At that time, I log-off the sever, quit X-Win32, login again and was up for another 2 hrs.  The non-demo version is $200, but the Web page describes site license agreements that could bring this price down.  I think the demo option will be the route I take.  The main purpose of this software is to connect to Spartan, students (and myself) very rarely will model for more than 2 hours at a time.  If they do, the shutdown and restart takes about a minute and is not a real inconvenience.  I've scan the Web page and carefully read all Readme files that came with the software, and I don't see any license limitation to using 6 copies of the demo for the purpose stated above. BUT, if anyone here, or more specifically, if any one from Starnet reading this, knows of any impropriety of doing this, contact me!  Otherwise, I'm going to use the free demo for our students.

Totally Free options:

1.  MI/X by MicroImages, Inc., http://www.microimages.com/:  The program was able to run Spartan remotely; however, it does not have any features for connecting to the remote server.  One has to establish a connection with a telnet client first, type the command for the Xprogram while MI/X is running, and then the program appears in the single window provided.  This is not as easy to use when compared to programs that provide an xdm login prompt and provide an SGI desktop.  But since it total free (and since the company is located right here in Nebraska!), one should check this out for simple connections.

2.  Linux by (insert your favorite Linux provider here):  Of course many responses gave Linux as the best option for free X windows support.  Don't get me wrong, I love Linux and I have a dual boot PC where I often turn to Linux when I need to have a lengthy logon to our server.  But placing an additional OS on all six machines, and teaching students how to boot Linux and run the OS would take too much time for someone who is not yet tenured.  While dual boots are handy, my next PC (the one I use in my office) will have just one OS on it.   I still plan to run Linux, but on a dedicated PC.  I've come to the conclusion of one OS for one PC.

Thanks again for all the responses!

Douglas E. Stack	
Assistant Professor
Department of Chemistry
University of Nebraska at Omaha
Omaha, NE 68182-0109
(402) 554-3647
(402) 544-3888 (fax)
[email-masked]